## Name

gfs_acl_delete_perm — delete a permission from a Gfarm ACL permission set

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_add_perm(` | permset_d, |
| perm`)`; |

`gfarm_acl_permset_t permset_d`;
`gfarm_acl_perm_t perm`;

## INPUT ARGUMENTS

`permset_d`

  An ACL permission set.

`perm`

  GFARM_ACL_READ or GFARM_ACL_WRITE or GFARM_ACL_EXECUTE.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_add_perm(3), gfs_acl_clear_perms(3), gfs_acl_get_perm(3), gfs_acl_get_permset(3), gfs_acl_set_permset(3)